summaryrefslogtreecommitdiff
path: root/dev-qt/qtwebengine
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-02-05 17:18:29 +0000
committerV3n3RiX <venerix@redcorelinux.org>2018-02-05 17:18:29 +0000
commit0f9913644a9fcd9a54db903c8aa56ab6314b5ceb (patch)
tree6d4bf7dfe55a90962d56a6db55ea87586f5ebaeb /dev-qt/qtwebengine
parent7da9849596807df02edcb7877dec8c3e221919bf (diff)
Qt 5.9.4 unleashes hell, prevent upgrades
Diffstat (limited to 'dev-qt/qtwebengine')
-rw-r--r--dev-qt/qtwebengine/Manifest1
-rw-r--r--dev-qt/qtwebengine/files/qtwebengine-5.9.3-icu-60.1.patch16
-rw-r--r--dev-qt/qtwebengine/files/qtwebengine-5.9.3-paxmark-mksnapshot.patch41
-rw-r--r--dev-qt/qtwebengine/qtwebengine-5.9.3.ebuild122
4 files changed, 180 insertions, 0 deletions
diff --git a/dev-qt/qtwebengine/Manifest b/dev-qt/qtwebengine/Manifest
new file mode 100644
index 00000000..2ca330cd
--- /dev/null
+++ b/dev-qt/qtwebengine/Manifest
@@ -0,0 +1 @@
+DIST qtwebengine-opensource-src-5.9.3.tar.xz 217344496 SHA256 45ae1142fd87271c100f4d7889427738e774e86db5d8f6bcf9ceb99d18571d37 SHA512 0db532b4d54540da1ca63de1cc4d561d72f052211535f75f60b99c1858ec0819ab0f831a3326d58da6350066748634000fe7ad0719ca545e12f3ed249a6eb90a WHIRLPOOL 00bb39250715e2dfc5acb2cb43f52030f1de7a07bebd067dd30700ac4e2a996f3e62356ce74036858bb7af4b32b87a00249aa8b219c14e4166831f7312f75344
diff --git a/dev-qt/qtwebengine/files/qtwebengine-5.9.3-icu-60.1.patch b/dev-qt/qtwebengine/files/qtwebengine-5.9.3-icu-60.1.patch
new file mode 100644
index 00000000..9866ab92
--- /dev/null
+++ b/dev-qt/qtwebengine/files/qtwebengine-5.9.3-icu-60.1.patch
@@ -0,0 +1,16 @@
+Fix build with >=ICU-60
+
+Bug: https://bugs.gentoo.org/639220
+Bug: https://bugreports.qt.io/browse/QTBUG-64925
+
+--- a/src/3rdparty/chromium/components/url_formatter/url_formatter.cc
++++ b/src/3rdparty/chromium/components/url_formatter/url_formatter.cc
+@@ -488,7 +488,7 @@
+ // are added to the allowed set. The list has to be updated when a new
+ // version of Unicode is released. The current version is 9.0.0 and ICU 60
+ // will have Unicode 10.0 data.
+-#if U_ICU_VERSION_MAJOR_NUM < 60
++#if U_ICU_VERSION_MAJOR_NUM < 60 || defined(TOOLKIT_QT)
+ const icu::UnicodeSet aspirational_scripts(
+ icu::UnicodeString(
+ // Unified Canadian Syllabics
diff --git a/dev-qt/qtwebengine/files/qtwebengine-5.9.3-paxmark-mksnapshot.patch b/dev-qt/qtwebengine/files/qtwebengine-5.9.3-paxmark-mksnapshot.patch
new file mode 100644
index 00000000..ecedaf62
--- /dev/null
+++ b/dev-qt/qtwebengine/files/qtwebengine-5.9.3-paxmark-mksnapshot.patch
@@ -0,0 +1,41 @@
+Bug: https://bugs.gentoo.org/634220
+
+--- a/src/3rdparty/chromium/v8/BUILD.gn
++++ b/src/3rdparty/chromium/v8/BUILD.gn
+@@ -661,6 +661,7 @@ action("run_mksnapshot") {
+
+ deps = [
+ ":mksnapshot($v8_snapshot_toolchain)",
++ ":run_paxmark",
+ ]
+
+ script = "tools/run.py"
+@@ -706,6 +707,28 @@ action("run_mksnapshot") {
+ args += [ rebase_path(v8_embed_script, root_build_dir) ]
+ }
+ }
++action("run_paxmark") {
++ visibility = [ ":*" ] # Only targets in this file can depend on this.
++
++ deps = [
++ ":mksnapshot($v8_snapshot_toolchain)",
++ ]
++
++ script = "/usr/sbin/pypaxctl"
++
++ sources = []
++
++ outputs = [
++ "$target_out_dir/mksnapshot",
++ ]
++
++ args = [
++ "-sm",
++ "./" + rebase_path(get_label_info(":mksnapshot($v8_snapshot_toolchain)",
++ "root_out_dir") + "/mksnapshot",
++ root_build_dir),
++ ]
++}
+
+ action("run_mkpeephole") {
+ visibility = [ ":*" ] # Only targets in this file can depend on this.
diff --git a/dev-qt/qtwebengine/qtwebengine-5.9.3.ebuild b/dev-qt/qtwebengine/qtwebengine-5.9.3.ebuild
new file mode 100644
index 00000000..f9335096
--- /dev/null
+++ b/dev-qt/qtwebengine/qtwebengine-5.9.3.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+inherit multiprocessing pax-utils python-any-r1 qt5-build
+
+DESCRIPTION="Library for rendering dynamic web content in Qt5 C++ and QML applications"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="amd64"
+fi
+
+IUSE="alsa bindist geolocation pax_kernel pulseaudio +system-ffmpeg +system-icu widgets"
+
+RDEPEND="
+ app-arch/snappy:=
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ ~dev-qt/qtcore-${PV}
+ ~dev-qt/qtdeclarative-${PV}
+ ~dev-qt/qtgui-${PV}
+ ~dev-qt/qtnetwork-${PV}
+ ~dev-qt/qtprintsupport-${PV}
+ ~dev-qt/qtwebchannel-${PV}[qml]
+ dev-libs/expat
+ dev-libs/libevent:=
+ dev-libs/libxml2[icu]
+ dev-libs/libxslt
+ dev-libs/protobuf:=
+ dev-libs/re2:=
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/harfbuzz:=
+ media-libs/libpng:0=
+ >=media-libs/libvpx-1.5:=[svc]
+ media-libs/libwebp:=
+ media-libs/mesa
+ media-libs/opus
+ net-libs/libsrtp:0=
+ sys-apps/dbus
+ sys-apps/pciutils
+ sys-libs/libcap
+ sys-libs/zlib[minizip]
+ virtual/jpeg:0
+ virtual/libudev
+ x11-libs/libdrm
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXScrnSaver
+ x11-libs/libXtst
+ alsa? ( media-libs/alsa-lib )
+ geolocation? ( ~dev-qt/qtpositioning-${PV} )
+ pulseaudio? ( media-sound/pulseaudio:= )
+ system-ffmpeg? ( media-video/ffmpeg:0= )
+ system-icu? ( dev-libs/icu:= )
+ widgets? (
+ ~dev-qt/qtdeclarative-${PV}[widgets]
+ ~dev-qt/qtwidgets-${PV}
+ )
+"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ >=app-arch/gzip-1.7
+ dev-util/gperf
+ dev-util/ninja
+ dev-util/re2c
+ sys-devel/bison
+ pax_kernel? ( sys-apps/elfix )
+"
+
+PATCHES=( "${FILESDIR}/${P}-icu-60.1.patch" )
+
+src_prepare() {
+ use pax_kernel && PATCHES+=( "${FILESDIR}/${PN}-5.9.3-paxmark-mksnapshot.patch" )
+
+ # bug 620444 - ensure local headers are used
+ find "${S}" -type f -name "*.pr[fio]" | xargs sed -i -e 's|INCLUDEPATH += |&$$QTWEBENGINE_ROOT/include |' || die
+
+ qt_use_disable_config alsa alsa src/core/config/linux.pri
+ qt_use_disable_config pulseaudio pulseaudio src/core/config/linux.pri
+
+ qt_use_disable_mod geolocation positioning \
+ mkspecs/features/configure.prf \
+ src/core/core_chromium.pri \
+ src/core/core_common.pri
+
+ qt_use_disable_mod widgets widgets src/src.pro
+
+ qt5-build_src_prepare
+}
+
+src_configure() {
+ export NINJA_PATH=/usr/bin/ninja
+ export NINJAFLAGS="${NINJAFLAGS:--j$(makeopts_jobs) -l$(makeopts_loadavg "${MAKEOPTS}" 0) -v}"
+
+ local myqmakeargs=(
+ $(usex bindist '' 'WEBENGINE_CONFIG+=use_proprietary_codecs')
+ $(usex system-ffmpeg 'WEBENGINE_CONFIG+=use_system_ffmpeg' '')
+ $(usex system-icu 'WEBENGINE_CONFIG+=use_system_icu' '')
+ )
+ qt5-build_src_configure
+}
+
+src_install() {
+ qt5-build_src_install
+
+ # bug 601472
+ if [[ ! -f ${D%/}${QT5_LIBDIR}/libQt5WebEngine.so ]]; then
+ die "${CATEGORY}/${PF} failed to build anything. Please report to https://bugs.gentoo.org/"
+ fi
+
+ pax-mark m "${D%/}${QT5_LIBEXECDIR}"/QtWebEngineProcess
+}